<script>
    var requireJS = [];
    loadJS(requireJS, "js/common.js");
    loadJS(requireJS, "js/views/logs_list.js");
    loadCSS('css/flags/flags.min.css');
</script>

<div class="page-title">
    <div class="title_left">
        <h4 th:text="#{menu.tools.logs}">LOGS</h4>
    </div>
</div>

<div class="clearfix"></div>

<div class="row">

    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">

                <div class="search-bar" style="overflow: auto">
                    <div class="col-md-12">
                        <input type="text" th:value="${q}" placeholder="Buscar..." th:attr="placeholder=#{search} + '...'" name="q" id="q"/>
                        <span th:text="#{since}">Desde:</span>
                        <input type="date" th:value="${from}" placeholder="Desde" name="from" id="from"/>
                        <span th:text="#{until}">Hasta:</span>
                        <input type="date" th:value="${to}" placeholder="Hasta" name="to" id="to"/>
                        <span th:text="#{records}">Registros:</span>
                        <select name="size" id="size">
                            <option th:selected="${size == null || (size != null && size == '20')}" value="20">20</option>
                            <option th:selected="${size != null && size == '50'}" value="50">50</option>
                            <option th:selected="${size != null && size == '100'}" value="100">100</option>
                            <option th:selected="${size != null && size == '500'}" value="500">500</option>
                            <option th:selected="${size != null && size == '1000'}" value="1000">1000</option>
                        </select>
                        &nbsp;
                        <span th:text="#{type}">Tipo:</span>
                        <select name="type" id="type">
                            <option value="all" th:text="#{all}">Todos</option>
                            <option th:selected="${type == 'generic_log'}" value="generic_log">generic_log</option>
                            <option th:selected="${type == 'admin_login'}" value="admin_login">admin_login</option>
                            <option th:selected="${type == 'member_login'}" value="member_login">member_login</option>
                            <option th:selected="${type == 'member_profile_edit'}" value="member_profile_edit">member_profile_edit</option>
                            <option th:selected="${type == 'login_error'}" value="login_error">login_error</option>
                        </select>
                        &nbsp;
                        <span th:text="#{comment} + ':'">Comentario:</span>
                        <select name="comment" id="comment">                            
                            <option th:selected="${comment == null || (comment != null && comment == 'all')}" value="all" th:text="#{all}">Todos</option>                            
                            <option th:selected="${comment != null && comment == 'member-deleted'}" value="member-deleted">member-deleted</option>
                            <option th:selected="${comment != null && comment == 'sponsor modification'}" value="sponsor modification">sponsor modification</option>
                            <option th:selected="${comment != null && comment == 'member kit modification'}" value="member kit modification">member kit modification</option>
                            <option th:selected="${comment != null && comment == 'member email modification'}" value="member email modification">member email modification</option>
                            <option th:selected="${comment != null && comment == 'member kit upgrade'}" value="member kit upgrade">member kit upgrade</option>
                            <option th:selected="${comment != null && comment == 'Transferencias de fondos'}" value="Transferencias de fondos">Transferencias de fondos</option>
                            <option th:selected="${comment != null && comment == 'admin login success'}" value="admin login success">admin login success</option>
                            <option th:selected="${comment != null && comment == 'member login success'}" value="member login success">member login success</option>
                            <option th:selected="${comment != null && comment == 'member profile modification'}" value="member profile modification">member profile modification</option>
                            <option th:selected="${comment != null && comment == 'member password modification'}" value="member password modification">member password modification</option>
                            <option th:selected="${comment != null && comment == 'invalid username on login'}" value="invalid username on login">invalid username on login</option>
                            <option th:selected="${comment != null && comment == 'member login failure'}" value="member login failure">member login failure</option>
                        </select>                        
                        <!--Fuente:
                        <select name="source" id="source">
                            <option value="all">Todos</option>
                            <option th:selected="${source == 'legacy'}" value="legacy">Legado</option>
                            <option th:selected="${source == 'store'}" value="store">Tienda</option>
                            <option th:selected="${source == 'store-co'}" value="store-co">Tienda CO</option>
                            <option th:selected="${source == 'store-es'}" value="store-es">Tienda ES</option>
                            <option th:selected="${source == 'store-it'}" value="store-it">Tienda IT</option>
                            <option th:selected="${source == 'store-ec'}" value="store-ec">Tienda EC</option>
                            <option th:selected="${source == 'store-pe'}" value="store-pe">Tienda PE</option>
                            <option th:selected="${source == 'external'}" value="external">Externo</option>
                        </select>
                        País:
                        <select name="country" id="country">
                            <option value="all">Todos</option>
                            <option th:selected="${country == 'ES'}" value="ES">España</option>
                            <option th:selected="${country == 'CO'}" value="CO">Colombia</option>
                            <option th:selected="${country == 'PE'}" value="PE">Perú</option>
                            <option th:selected="${country == 'EC'}" value="EC">Ecuador</option>
                            <option th:selected="${country == 'other'}" value="other">Otros</option>
                        </select>
                        Incluir eliminados:
                        <input class="js-switch" style="display: none;" data-switchery="true" type="checkbox" id="deleted" th:checked="${deleted}">-->

                        <button class="btn btn-info btn-sm" id="search-button"><i class="fa fa-search"></i>&nbsp;<span th:text="#{search}"</button>

                        <!--ToolBar-->


                    </div>
                </div>
                <div class="clearfix"></div>
            </div>

            <div>

                <div class="table-responsive-tall">
                    <table class="table table-condensed table-striped jambo_table">
                        <thead>
                            <tr class="headings">
                                <th><input type="checkbox"/></th>
                                <th>#</th>
                                <th th:text="#{date}"></th>
                                <th th:text="#{type}">Tipo</th>
                                <th>Ref</th>
                                <th>id Ref</th>
                                <th th:text="#{description}">Descripcion</th>
                                <th th:text="#{username}">Usuario</th>
                                <th th:text="#{since}">Desde</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr th:each="item : ${page.content}">                                
                                <td><input th:id="${item.id}" type="checkbox" name="member-id"></td>
                                <td th:text="${item.id}"></td>
                                <td th:text="${#dates.format(item.creationDate, 'dd/MM/yyyy')}" th:title="${#dates.format(item.creationDate, 'dd/MM/yyyy HH:mm:ss')}"></td>
                                <td th:text="${item.type}"></td>
                                <td th:text="${item.reference}"></td>
                                <td th:text="${item.referenceId}"></td>
                                <td th:text="${item.comment}" th:title="${item.message}"></td>
                                <td th:text="${item.modUser}"></td>
                                <td>
                                    <img src="/css/flags/blank.gif" class="flag" th:if="${item.country == null && item.country == ''}"/>
                                    <img src="/css/flags/blank.gif" class="flag" th:if="${item.country != null && item.country != ''}" th:classappend="'flag-'+ ${#strings.toLowerCase(item.country)}" th:title="#{${#strings.toUpperCase(item.country)}}"/>
                                    <span th:text="${item.modIp}"></span> 
                                </td>

                            </tr>
                        </tbody>
                    </table>
                </div>


            </div>
        </div>
        <div th:replace="frags/pagination :: paginationbar"></div>
    </div>

</div>

